Developers
V1PlatformMerchantsTenantidScan links

Platform admin: list booth scan links

Status, expiry, outlet and device counts. No token or PIN is ever returned again after creation.

GET
/v1/platform/merchants/{tenantId}/scan-links
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/platform/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/scan-links"
{  "links": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "label": "string",      "outletId": "414ee52f-b8bb-444c-8e1a-824bf463e887",      "outletName": "string",      "status": "active",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "rotatedAt": "2019-08-24T14:15:22Z",      "revokedAt": "2019-08-24T14:15:22Z",      "activeDevices": 0,      "lastUsedAt": "2019-08-24T14:15:22Z"    }  ]}